Bug 1449366 - Credential List is Empty when the Ansible Playbook Service Dialog is invoked from a Button versus a Service Order Screen
Summary: Credential List is Empty when the Ansible Playbook Service Dialog is invoked ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: mkanoor
QA Contact: Dmitry Misharov
URL:
Whiteboard: ansible:service:ui
Depends On: 1448918
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-09 19:27 UTC by Satoe Imaishi
Modified: 2019-11-19 22:34 UTC (History)
9 users (show)

Fixed In Version: 5.8.0.15
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1448918
Environment:
Last Closed: 2017-05-31 15:11:14 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-05-09 19:43:23 UTC
New commit detected on ManageIQ/manageiq-content/fine:
https://github.com/ManageIQ/manageiq-content/commit/2ce9007026cbf04e87b30089a3784199fc8569ad

commit 2ce9007026cbf04e87b30089a3784199fc8569ad
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Tue May 9 12:27:07 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue May 9 15:41:22 2017 -0400

    Merge pull request #112 from mkanoor/bz_1448918
    
    Support embedded_ansible to fetch credentials from provider
    (cherry picked from commit 519518a27bf69ed70de269cff1cd68a22e95a4d7)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1449366

 .../Operations/Methods.class/__class__.yaml        | 22 +++++++++++++-
 .../__methods__/available_credentials.rb           |  8 ++++-
 .../__methods__/available_credentials.yaml         | 20 +++++++++++++
 ...dded_ansible_available_machine_credentials.yaml |  2 ++
 ...dded_ansible_available_network_credentials.yaml |  2 ++
 .../__methods__/available_credentials_spec.rb      | 34 +++++++++++++++++-----
 6 files changed, 79 insertions(+), 9 deletions(-)

Comment 3 Dmitry Misharov 2017-05-18 12:20:02 UTC
Verified in 5.8.0.15.20170517161141_119e6fd. Credentials list is not empty and matches with the list of the service catalog item dialog.

Comment 5 errata-xmlrpc 2017-05-31 15:11:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.